# Generated by Django 4.2.6 on 2023-11-13 16:04

import blog.models
from django.db import migrations, models
import django.db.models.deletion
import wagtail.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('wagtailimages', '0025_alter_image_file_alter_rendition_file'),
        ('wagtailcore', '0089_log_entry_data_json_null_to_object'),
    ]

    operations = [
        migrations.CreateModel(
            name='ArticlePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('body', wagtail.fields.RichTextField()),
            ],
            options={
                'abstract': False,
            },
            bases=(blog.models.PostMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='NotePage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('body', wagtail.fields.RichTextField(max_length=500)),
            ],
            options={
                'abstract': False,
            },
            bases=(blog.models.PostMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='PostIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('blurb', models.TextField(blank=True, null=True)),
                ('posts_per_page', models.IntegerField(default=15)),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='Tagline',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='ArticleIndexPage',
            fields=[
                ('postindexpage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='blog.postindexpage')),
            ],
            options={
                'abstract': False,
            },
            bases=('blog.postindexpage',),
        ),
        migrations.CreateModel(
            name='NoteIndexPage',
            fields=[
                ('postindexpage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='blog.postindexpage')),
            ],
            options={
                'abstract': False,
            },
            bases=('blog.postindexpage',),
        ),
        migrations.CreateModel(
            name='PhotoIndexPage',
            fields=[
                ('postindexpage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='blog.postindexpage')),
            ],
            options={
                'abstract': False,
            },
            bases=('blog.postindexpage',),
        ),
        migrations.CreateModel(
            name='RootIndexPage',
            fields=[
                ('postindexpage_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='blog.postindexpage')),
            ],
            options={
                'abstract': False,
            },
            bases=('blog.postindexpage',),
        ),
        migrations.CreateModel(
            name='PhotoPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
                ('photo', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='wagtailimages.image')),
            ],
            options={
                'abstract': False,
            },
            bases=(blog.models.PostMixin, 'wagtailcore.page'),
        ),
    ]
